Remove Notification Subscriptions
Unsubscribe the given User from Notifications on the matching Subscribable entities.
Scoped OAuth requires: subscribers.write
Authorization
api_key The API Key with format Token token=<API_KEY>
In: header
Path Parameters
The ID of the resource.
Header Parameters
The Accept header is used as a versioning header.
"application/vnd.pagerduty+json;version=2"Request Body
application/json
The entities to unsubscribe from.
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
Regenerate a user's calendar feed URL key POST
Regenerate the private URL key used to construct a user's personal iCal calendar feed URLs (`http_cal_url` and `web_cal_url`). The old key is immediately invalidated; callers should update any stored feed subscriptions with the new key. A user may only regenerate their own key. Account admins may regenerate on behalf of any user. The calendar feed URLs act as bearer credentials: anyone with the URL can read that user's on-call calendar without further authentication. Rotate the key here whenever a URL may have been exposed (for example, if it was shared outside the intended audience or if an admin with `can_update_user` retrieved it via `GET /users/{id}?include[]=calendar_urls`). Users are members of a PagerDuty account that have the ability to interact with Incidents and other data on the account. For more information see the [API Concepts Document](https://developer.pagerduty.com/api-reference/a47605517c19a-api-concepts#users) Scoped OAuth requires: `users.write`
Update a user's contact method PUT
Update a User's contact method. Users are members of a PagerDuty account that have the ability to interact with Incidents and other data on the account. For more information see the [API Concepts Document](https://developer.pagerduty.com/api-reference/a47605517c19a-api-concepts#users) Scoped OAuth requires: `users:contact_methods.write`